Bug 986539 - rpmbuild fails in %setup because of missing tar
rpmbuild fails in %setup because of missing tar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 07:51 EDT by Matthew Farrellee
Modified: 2013-09-10 22:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: rpm-4.11.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 22:06:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2013-07-20 07:51:49 EDT
Description of problem:

A base Fedora 19 install does not include tar. %setup requires tar.


Version-Release number of selected component (if applicable):

rpm-build-4.11.1-1.fc19.x86_64


How reproducible:

100%


Steps to Reproduce:
1. rpmbuild --rebuild <a src.rpm with a tarball source>

Actual results:

# rpmbuild --rebuild savanna-0.2-1.fc19.src.rpm
Installing savanna-0.2-1.fc19.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.GrEWy4
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd /root/rpmbuild/BUILD
+ rm -rf savanna-0.2
+ /usr/bin/gzip -dc /root/rpmbuild/SOURCES/savanna-0.2.tar.gz
+ /usr/bin/tar -xf -
/var/tmp/rpm-tmp.GrEWy4: line 30: /usr/bin/tar: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.GrEWy4 (%prep)


Additional info:

Workaround is to manually install tar.
Comment 1 Panu Matilainen 2013-07-23 14:40:05 EDT
(In reply to Matthew Farrellee from comment #0)
> A base Fedora 19 install does not include tar. %setup requires tar.

WTF? Who would ever expect tar to be always available on a unix-like system...

Regardless of Fedora's defaults which keep getting stranger and stranger, obviously a missing dependency is a bug, thanks for reporting.
Comment 2 Fedora Update System 2013-09-09 09:13:17 EDT
rpm-4.11.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-4.11.1-3.fc19
Comment 3 Fedora Update System 2013-09-09 19:58:57 EDT
Package rpm-4.11.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.11.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16239/rpm-4.11.1-3.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-10 22:06:13 EDT
rpm-4.11.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.